Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoProfileCoordinate2 Class Reference
[Nodes]

`#include <Inventor/nodes/SoProfileCoordinate2.h>`

Inheritance diagram for SoProfileCoordinate2:

List of all members.

## Detailed Description

The SoProfileCoordinate2 class is a node specifying a set of 2D coordinates for profiles.

Use nodes of this type to provide coordinates to profiles.

Note that an SoProfileCoordinate2 node will replace the profile coordinates already present in the state (if any).

See also:
  SoProfile, SoProfileCoordinate3

## Public Member Functions
| SoProfileCoordinate2 (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | pick (SoPickAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoMFVec2f | point
## Protected Member Functions
virtual | ~SoProfileCoordinate2 ()

## Constructor & Destructor Documentation

SoProfileCoordinate2::SoProfileCoordinate2 | ( | void |  | ) |

| Constructor.

SoProfileCoordinate2::~SoProfileCoordinate2 | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoProfileCoordinate2::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoProfileCoordinate2::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoProfileCoordinate2::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoProfileCoordinate2::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

void SoProfileCoordinate2::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

void SoProfileCoordinate2::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

| Action method for the SoGetBoundingBoxAction. Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node. Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables. Reimplemented from SoNode.

void SoProfileCoordinate2::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoNode.

## Member Data Documentation

SoMFVec2f SoProfileCoordinate2::point

| Pool of coordinate points for the traversal state.

The documentation for this class was generated from the following files:

- SoProfileCoordinate2.h
- SoProfileCoordinate2.cpp